 <template>
  <el-select v-model="syncedCloseReason" class="pam-select" ref="select">
    <el-option
      v-for="(item,index) in options"
      :key="index"
      :label="item.key"
      :value="item.value">
      {{ item.key }}
    </el-option>
  </el-select>
</template>

<script lang="ts">
import { Vue, Component, PropSync, Prop} from 'nuxt-property-decorator';

@Component
export default class UiSelect extends Vue {

  @PropSync('closeReason', { type: String, default: 'other' })
  syncedCloseReason!: string;

  @Prop({ type:Array , default:()=>[] })
  options!: object[];

}
</script>